/**
 * @license
 * Copyright 2018 Peter Safranek
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import * as ts from 'typescript';
import * as TSLint from 'tslint';
/**
 * This rule makes sure that Jasmine's `expect()` and `expectAsync()` functions aren't
 * called within a `catch` block, which may cause tests to incorrectly succeed.
 *
 * Parts copied from the TSLint project:
 * https://github.com/palantir/tslint/blob/7c841c0/src/rules/banRule.ts
 */
export declare class Rule extends TSLint.Rules.AbstractRule {
    apply(sourceFile: ts.SourceFile): TSLint.RuleFailure[];
}
